package com.alibaba.druid.sql.dialect.mariadb.ast.clause;

import com.alibaba.druid.sql.ast.SQLObject;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbStatementImpl;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;
import java.util.Collections;
import java.util.List;

public class MariadbLeaveStatement extends MariadbStatementImpl {
   private String labelName;

   public MariadbLeaveStatement() {
   }

   public MariadbLeaveStatement(String labelName) {
      this.labelName = labelName;
   }

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public String getLabelName() {
      return this.labelName;
   }

   public void setLabelName(String labelName) {
      this.labelName = labelName;
   }

   public List<SQLObject> getChildren() {
      return Collections.emptyList();
   }
}
